import sqlite3 from 'sqlite3';
import { open } from 'sqlite';

// Create a database connection
const db = await open({
	filename: './database.sqlite',
	driver: sqlite3.Database
});

// Initialize tables if they don't exist
await db.exec(`
	CREATE TABLE IF NOT EXISTS forms (
		id INTEGER PRIMARY KEY AUTOINCREMENT,
		uuid TEXT NOT NULL UNIQUE,
		name TEXT DEFAULT 'My Form',
		created_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
		thank_you_url TEXT,
		thank_you_message TEXT,
		ntfy_enabled INTEGER DEFAULT 1,
		is_archived INTEGER DEFAULT 0,
		allowed_domains TEXT
	);

	CREATE TABLE IF NOT EXISTS submissions (
		id INTEGER PRIMARY KEY AUTOINCREMENT,
		form_uuid TEXT NOT NULL,
		data TEXT NOT NULL,
		ip_address TEXT,
		submitted_at TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
		FOREIGN KEY (form_uuid) REFERENCES forms(uuid) ON DELETE CASCADE
	);
`);

export default db;
