import fetch from "node-fetch";

export async function sendNtfyNotification(
	title,
	message,
	priority = "default",
	tags = ""
) {
	if (process.env.NTFY_ENABLED !== "true" || !process.env.NTFY_TOPIC_URL) {
		return;
	}
	try {
		const response = await fetch(process.env.NTFY_TOPIC_URL, {
			method: "POST",
			body: message,
			headers: {
				Title: title,
				Priority: priority,
				Tags: tags,
				"Content-Type": "text/plain",
			},
		});
		if (!response.ok) {
			console.error(`Ntfy error: ${response.status} ${await response.text()}`);
		} else {
			console.log("Ntfy notification sent successfully.");
		}
	} catch (error) {
		console.error("Failed to send Ntfy notification:", error);
	}
}

export default { sendNtfyNotification };
